petsc-3.4.2 2013-07-02

# MatMPIAIJGetLocalMat

Creates a SeqAIJ from a MPIAIJ matrix by taking all its local rows and putting them into a sequential vector with mlocal rows and n columns. Where mlocal is the row count obtained with MatGetLocalSize() and n is the global column count obtained with MatGetSize()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIAIJGetLocalMat(Mat A,MatReuse scall,Mat *A_loc)

Not Collective

### Input Parameters

| A | - the matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

| A_loc | - the local sequential matrix generated

### See Also

MatGetOwnerShipRange(), MatMPIAIJGetLocalMatCondensed()

Level:developer
Location:src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages